PipeWire 0.1.9

Data Structures | Macros | Functions
type.h File Reference
Include dependency graph for type.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures
class | pw_type
| PipeWire type support struct. More...

## Macros
#define | PW_TYPE_BASE "PipeWire:"
#define | PW_TYPE__Object PW_TYPE_BASE "Object"
#define | PW_TYPE_OBJECT_BASE PW_TYPE__Object ":"
#define | PW_TYPE__Interface PW_TYPE_BASE "Interface"
#define | PW_TYPE_INTERFACE_BASE PW_TYPE__Interface ":"

## Functions
int | pw_type_init (struct pw_type *type)

## Macro Definition Documentation

## ◆ PW_TYPE__Interface

#define PW_TYPE__Interface PW_TYPE_BASE "Interface"

## ◆ PW_TYPE__Object

#define PW_TYPE__Object PW_TYPE_BASE "Object"

## ◆ PW_TYPE_BASE

#define PW_TYPE_BASE "PipeWire:"

## ◆ PW_TYPE_INTERFACE_BASE

#define PW_TYPE_INTERFACE_BASE PW_TYPE__Interface ":"

## ◆ PW_TYPE_OBJECT_BASE

#define PW_TYPE_OBJECT_BASE PW_TYPE__Object ":"

## Function Documentation

## ◆ pw_type_init()

int pw_type_init | ( | struct pw_type * | type | ) |